<section class="tab-history">
  <div
    [ngClass]="[
      jds.d('flex'),
      jds.alignItems('end'),
      jds.justifyContent('between'),
      jds.mb(20),
      jds.borderBottom(2)
    ]"
    [style.borderColor]="'#9e9e9e !important'"
  >
    <ul
      #nav="jdsBiNav"
      [(activeId)]="filter.data"
      [colorScheme]="colorScheme"
      [ngClass]="[jds.alignItems('center'), jds.mb(-2)]"
      jdsBiNav
      variant="ghost"
    >
      <li [jdsBiNavItem]="'dataset'">
        <a
          (click)="filterData('dataset')"
          jdsBiNavLink
        >
          Dataset
        </a>
      </li>
      <li [jdsBiNavItem]="'indicator'">
        <a
          (click)="filterData('indicator')"
          jdsBiNavLink
        >
          Indikator
        </a>
      </li>
      <li [jdsBiNavItem]="'visualization'">
        <a
          (click)="filterData('visualization')"
          jdsBiNavLink
        >
          Visualisasi
        </a>
      </li>
    </ul>
    <div
      [ngClass]="[jds.d('flex'), jds.py(8)]"
      [style.gap.px]="8"
    >
      <ng-select
        #sort
        [(ngModel)]="filter.sort"
        [searchable]="false"
        [clearable]="false"
        [items]="sortOption"
        (change)="filterSort($event)"
        bindValue="value"
        bindLabel="label"
        placeholder="Urutkan"
      />
    </div>
  </div>

  <div [ngClass]="[jds.card, jds.mb(20)]">
    <div [ngClass]="[jds.cardBody, jds.py(16)]">
      <button
        [ngClass]="[jds.button, jds.buttonStatus, jds.me(8)]"
        [class.active]="filter.status === 'view'"
        (click)="filterStatus('view')"
        type="button"
      >
        Dilihat
      </button>
      <button
        [ngClass]="[jds.button, jds.buttonStatus, jds.me(8)]"
        [class.active]="filter.status === 'access'"
        (click)="filterStatus('access')"
        type="button"
      >
        Diunduh
      </button>
    </div>
  </div>
</section>
